<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities\Query;
use Doctrine\ORM\EntityManager;

class CadBeneficioService {
   
    protected $entityManager;
    
    public function __construct($entityManager) {
        $this->entityManager = $entityManager;
    }
	
	public function saveBeneficio ($isnew, $param) {
		if($isnew){
	    	return $this->entityManager->getConnection()->executeQuery(self::INSERT_BENEFICIO, $param);
			
		} else {
			return $this->entityManager->getConnection()->executeQuery(self::UPDATE_BENEFICIO, $param);
		}
	}
	    
	    const INSERT_BENEFICIO = "
	    INSERT
			INTO BENEFICIOFOS
			  (
			    NRSEQBENEFICIO,
			    IDTPBENEFICIO,
			    VRBENEFICIO,
			    IDTPATIVABENEFICIO,
			    DSBENEFICIO,
			    QTDMAXDIASUBSEQ,
			    QTDMAXDIACOMPRA,
			    NRORG
			  )
			  VALUES
			  (
			    :NRSEQBENEFICIO,
			    :IDTPBENEFICIO,
			    :VRBENEFICIO,
			    :IDTPATIVABENEFICIO,
			    :DSBENEFICIO,
			    :QTDMAXDIASUBSEQ,
			    :QTDMAXDIACOMPRA,
			    :NRORG
			  )";
			  
		const UPDATE_BENEFICIO = "
	    UPDATE BENEFICIOFOS
			  SET
			    IDTPBENEFICIO		= :IDTPBENEFICIO,
			    VRBENEFICIO			= :VRBENEFICIO,
			    IDTPATIVABENEFICIO  = :IDTPATIVABENEFICIO,
			    DSBENEFICIO 		= :DSBENEFICIO,
			    QTDMAXDIASUBSEQ 	= :QTDMAXDIASUBSEQ,
			    QTDMAXDIACOMPRA 	= :QTDMAXDIACOMPRA,
			    NRORG				= :NRORG
			  WHERE 
			   NRSEQBENEFICIO = :NRSEQBENEFICIO";	  
}