<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\MAN\Utilities;

class RelLojasSemMovimentacao {
    
    protected $utilService,
              $relLojasSemMovimentacao;
    
    public function __construct(Utilities\Util $utilService, $relLojasSemMovimentacao) {
        $this->utilService = $utilService;
        $this->relLojasSemMovimentacao = $relLojasSemMovimentacao;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        ini_set('max_execution_time', 1800);
        $conditions = $this->utilService->getParamsAsArray($request);
        $produtosResult = $this->relLojasSemMovimentacao->getLojasParadas($conditions);
        $response->addDataSet(new DataSet('orm00010_relLojasSemMovimentacao', $produtosResult));
    }
    
}